package com.zjrs.zwnw.portal.po;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

@TableName(value = "v_rs_sy_yydh_info")
public class VRsSyYydhInfoPO {
    private String userid;//用户id
    private String cdid;//应用id
    private String yysx;//应用顺序
    private String lname;//应用全称
    @TableField(value = "path", exist = false)
    private String path;
    @TableField(value = "open_type", exist = false)
    private String openType;
    @TableField(value = "icon", exist = false)
    private String icon;
    @TableField(value = "parent_id", exist = false)
    private String parentId;
    @TableField(value = "sort_no", exist = false)
    private Integer sortNo;

    public String getUserid() {
        return userid;
    }

    public void setUserid(String userid) {
        this.userid = userid;
    }

    public String getCdid() {
        return cdid;
    }

    public void setCdid(String cdid) {
        this.cdid = cdid;
    }

    public String getYysx() {
        return yysx;
    }

    public void setYysx(String yysx) {
        this.yysx = yysx;
    }

    public String getLname() {
        return lname;
    }

    public void setLname(String lname) {
        this.lname = lname;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getOpenType() {
        return openType;
    }

    public void setOpenType(String openType) {
        this.openType = openType;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public Integer getSortNo() {
        return sortNo;
    }

    public void setSortNo(Integer sortNo) {
        this.sortNo = sortNo;
    }

    public String getId() {
        return cdid;
    }

    public String getName() {
        return lname;
    }
}
